Subject: Recent issues

From: Junio C Hamano <[email-masked]>
Date: Sat, 07 Jul 2007 00:31:50 -0700

Here is a list of recent issues on the list that I am aware of,
but not much have been done on.

To use the Message-ID, you can use:

    http://mid.gmane.org/$message_id

where $message_id is the Message-ID without surrounding <>.

* gitweb patches (bunch of them)

  From: Matt McCutchen <[email-masked]>
  Subject: [PATCH] gitweb: snapshot cleanups & support for offering multiple formats
  Message-ID: <1183053733.6108.0.camel@mattlaptop2>

  From: Matt McCutchen <[email-masked]>
  Subject: [PATCH] gitweb: make search form generate pathinfo-style URLs
  Message-ID: <1183057027.6108.4.camel@mattlaptop2>

  From: Matt McCutchen <[email-masked]>
  Subject: [PATCH] gitweb: make "No commits" in project list gray, not bold green
  Message-ID: <1183068922.6108.8.camel@mattlaptop2>

  From: Miklos Vajna <[email-masked]>
  Subject: [PATCH] gitweb: prefer git_get_project_owner() over get_file_owner()
  Message-ID: <[email-masked]>

  From: Michael Hendricks <[email-masked]>
  Subject: [PATCH] gitweb: configurable width for the projects list Description column
  Message-ID: <[email-masked]>

Haven't heard any from gitweb folks about these; I'd take a look
at them if I find time this weekend.

* gitk --left-right

  From: Linus Torvalds <[email-masked]>
  Message-ID: <[email-masked]>
  From: Junio C Hamano <[email-masked]>
  Message-ID: <[email-masked]>

Paulus?

* gitk tree view fix

  From: Brian Downing <[email-masked]>
  Subject: [PATCH] gitk: Fix for tree view ending in nested directories
  Message-ID: <[email-masked]>

Paulus?

* switching branches when b changes between symlink and directory in a/b/c

  From: Pierre Habouzit <[email-masked]>
  Subject: [BUG (or misfeature?)] git checkout and symlinks
  Message-ID: <[email-masked]>

Will take a look.

* cherry-pick unexpected conflicts

  From: Gerrit Pape <[email-masked]>
  Subject: Re: unexpected git-cherry-pick conflict
  Message-ID: <[email-masked]>

* git-apply -R --whitespace=warn

  From: Daniel Barkalow <[email-masked]>
  Message-ID: <[email-masked]>
  Subject: Minor bug in git-apply's patch-cleaning

* Use gitattributes for more things.

 - Customized "diff -p" markers per path.

  From: Linus Torvalds <[email-masked]>
  Subject: Re: [PATCH] Per-path attribute based hunk header selection.
  Message-ID: <[email-masked]>

Will take a look and try to finish this before 1.5.3-rc1.